Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(39)

Issue 24130009: promote SkImage::AlphaType to SkAlphaType (Closed)

Created:
5 years, 11 months ago by reed1
Modified:
5 years, 11 months ago
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

promote SkImage::AlphaType to SkAlphaType BUG= R=bsalomon@google.com Committed: https://code.google.com/p/skia/source/detail?r=11421

Patch Set 1 #

Patch Set 2 : add SK_ENABLE_LEGACY_API_ALIASING to re-enable the old enum for chrome #

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+104 lines, -72 lines) Patch
M bench/DeferredSurfaceCopyBench.cpp View 1 chunk +1 line, -1 line 0 comments Download
M gm/fatpathfill.cpp View 1 chunk +1 line, -7 lines 0 comments Download
M gm/image.cpp View 1 chunk +3 lines, -6 lines 0 comments Download
M gm/srcmode.cpp View 1 chunk +1 line, -1 line 0 comments Download
M gyp/core.gypi View 1 chunk +1 line, -0 lines 0 comments Download
A include/core/SkAlpha.h View 1 2 1 chunk +50 lines, -0 lines 0 comments Download
M include/core/SkImage.h View 1 2 chunks +17 lines, -9 lines 0 comments Download
M include/core/SkSurface.h View 1 chunk +1 line, -1 line 0 comments Download
M samplecode/SampleFatBits.cpp View 1 chunk +4 lines, -7 lines 0 comments Download
M src/image/SkImagePriv.cpp View 3 chunks +14 lines, -16 lines 0 comments Download
M src/image/SkImage_Raster.cpp View 1 chunk +1 line, -1 line 0 comments Download
M src/image/SkSurface_Picture.cpp View 1 chunk +1 line, -1 line 0 comments Download
M tests/DeferredCanvasTest.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M tests/DrawPathTest.cpp View 1 chunk +1 line, -4 lines 0 comments Download
M tests/PathTest.cpp View 5 chunks +4 lines, -11 lines 0 comments Download
M tests/SurfaceTest.cpp View 1 chunk +1 line, -1 line 0 comments Download
M tools/skhello.cpp View 1 chunk +1 line, -4 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
reed1
SkColorType is probably next, but I know for sure I want this for the unpremul ...
5 years, 11 months ago (2013-09-20 17:49:50 UTC) #1
bsalomon
LGTM, just wondering if you want a more aggressive comment about kUnpremul_SkAlphaType not being allowed ...
5 years, 11 months ago (2013-09-20 19:09:30 UTC) #2
reed1
skia.gyp will need to define SK_ENABLE_LEGACY_API_ALIASING until we can fix its call-sites ./third_party/WebKit/Source/core/platform/graphics/chromium/Canvas2DLayerBridge.cpp:73: info.fAlphaType = ...
5 years, 11 months ago (2013-09-20 19:16:37 UTC) #3
reed1
On 2013/09/20 19:09:30, bsalomon wrote: > LGTM, just wondering if you want a more aggressive ...
5 years, 11 months ago (2013-09-20 19:17:13 UTC) #4
reed1
Committed patchset #3 manually as r11421 (presubmit successful).
5 years, 11 months ago (2013-09-20 19:36:24 UTC) #5
tfarina
On 2013/09/20 19:16:37, reed1 wrote: > skia.gyp will need to define SK_ENABLE_LEGACY_API_ALIASING until we can ...
5 years, 11 months ago (2013-09-20 21:54:21 UTC) #6
reed1
5 years, 11 months ago (2013-09-23 12:09:51 UTC) #7
Message was sent while issue was closed.
On 2013/09/20 21:54:21, tfarina wrote:
> On 2013/09/20 19:16:37, reed1 wrote:
> > skia.gyp will need to define SK_ENABLE_LEGACY_API_ALIASING until we can fix
> its
> > call-sites
> > 
> >
>
./third_party/WebKit/Source/core/platform/graphics/chromium/Canvas2DLayerBridge.cpp:73:
> >    info.fAlphaType = SkImage::kPremul_AlphaType;
> >
>
./third_party/WebKit/Source/core/platform/graphics/chromium/Canvas2DLayerBridgeTest.cpp:84:
> >            SkImage::kPremul_AlphaType,
> >
>
./third_party/WebKit/Source/core/platform/graphics/chromium/Canvas2DLayerManagerTest.cpp:98:
> >        SkImage::kPremul_AlphaType,
> 
> Mike do you plan to go and fix Blink yourself? Let me know if I can help
there.
> 
> Thanks!

If you see the places to change in blink, that would be great!

Powered by Google App Engine
This is Rietveld 408576698